using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

static class HTTP {

    private static readonly HttpClient client = new HttpClient(){
        Timeout = TimeSpan.FromSeconds(10) 
    };

    public static async Task<string> get(string url){
        try
        {
            Console.WriteLine("SUCCESS\n " + url);
                
            HttpResponseMessage response = await client.GetAsync(url,HttpCompletionOption.ResponseHeadersRead).ConfigureAwait(false);

            
            Console.WriteLine("SUCCESS3\n " + url);
                
            if (response.IsSuccessStatusCode)
            {
                string responseData = await response.Content.ReadAsStringAsync().ConfigureAwait(false);;
                
                return responseData;
            }
            else
            {
                Console.WriteLine(response.StatusCode);
            }
        }
        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);
        }
        return null;
    }

}
